Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.jdo.annotations
Enum InheritanceStrategy

    java.lang.Object
      java.lang.Enum<InheritanceStrategy>
          javax.jdo.annotations.InheritanceStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InheritanceStrategy>

    public enum InheritanceStrategy

extends java.lang.Enum<InheritanceStrategy>

Enumeration of the inheritance strategy values.

Since:
  2.1
Version:
  2.1

Enum Constant Summary
`NEW_TABLE`
`SUBCLASS_TABLE`
`SUPERCLASS_TABLE`
`UNSPECIFIED`

Method Summary
`static InheritanceStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InheritanceStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final InheritanceStrategy UNSPECIFIED

### NEW_TABLE

    public static final InheritanceStrategy NEW_TABLE

### SUBCLASS_TABLE

    public static final InheritanceStrategy SUBCLASS_TABLE

### SUPERCLASS_TABLE

    public static final InheritanceStrategy SUPERCLASS_TABLE

Method Detail

### values

    public static InheritanceStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InheritanceStrategy c : InheritanceStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InheritanceStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.